use ExtUtils::MakeMaker;

#  $Id: Makefile.PL,v 1.7 2001/07/28 02:56:28 ftobin Exp $

use 5.005;

use strict;
use English;
use Term::ReadLine;  # this allows us to test for Term::ReadLine::Gnu
                     # for some reason I don't know yet.

my $modules_dir = 'modules';

my $prereq_modules = { 'AppConfig'           => 1.52,
		       'Term::ReadKey'       => 2.14,
		       'Term::ReadLine::Gnu' => 1.01,
		       'GnuPG::Interface'    => 0.10,
		       'Class::MethodMaker'  => 0.96,
		       'LWP'                 => 5.42,
		     };

print <<EOF;
If you get a warning below about needing prerequisite modules,    
you will need to install the listed modules for anonvelope
to work.  Each required module should be available from 
CPAN:

http://www.cpan.org/
http://search.cpan.org/              

Note that if you do not have a LWP module, it is referring
to the libwww-perl package.

EOF

WriteMakefile
  ( AUTHOR        => 'Frank J. Tobin',
    ABSTRACT_FROM => 'anonvelope',
    NAME          => 'anonvelope',
    VERSION_FROM  => 'anonvelope',
    
    EXE_FILES     => [ 'anonvelope' ],
    
    dist => { COMPRESS   => 'gzip', 
	      SUFFIX     => 'gz',
	    },
    
    PREREQ_PM => $prereq_modules,
    
  );

